Two older emails show incorrect dates

RESOLVED INCOMPLETE

Status

RESOLVED INCOMPLETE
9 years ago
8 years ago

People

(Reporter: mmoore100, Assigned: mdudziak)

Tracking

Details

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.3) Gecko/20100401 Firefox/3.6.3 ( .NET CLR 3.5.30729)
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7) Gecko/20100301 Eudora/3.0.1

In the main window, looking at email in one of my local folders, the date shows as 10/18/2092.
If I open the email, the date on the top right shows as 9/12/1956 12:30 AM
The date is probably really Sep 12, 2001, because it's a reply to an email someone else sent on Wed, Sep 12, 2001, 3:13 AM. 

In another one, the date shows as 10/17/2092.
If I open the email, the date on the top right shows as 9/11/1956 12:30 AM
Due to the subject matter, I think the message was probably sent Sep 11, 2001

Reproducible: Always

Steps to Reproduce:
1.Launch Eudora.
2.Navigate to the folder.
3.Look at the index of emails.
4.Choose the "latest" one and open it.
Actual Results:  
Note the date of the email. Two emails have dates in the year 2092. If you open them, the date on the top right does not match the date in the index nor what I think is the actual date.

Expected Results:  
The one dated 10/18/2092 in the index and 9/12/1956 when you open it should have a date of 9/12/2001 (estimated).

The one dated 10/17/2092 in the index and 9/11/1956 when you open it should have a date of 9/11/2001 (estimated).


This happened during the transition from Eudora 7 to (Thunderbird + Eudora) 8.

The folder in which the mail resides is a subfolder of a local folder.

I'm using the default theme.

Running Windows XP Professional Version 2002, Service Pack 3.
Pentium 4 CPU 3.20 GHz
3.19 GHz, 1.00 GB RAM


about:buildconfig

Source

Built from http://hg.mozilla.org/releases/mozilla-1.9.2/rev/28ef231a65a3
Build platform
target
i686-pc-mingw32

Build tools
Compiler 	Version 	Compiler flags
cl 	14.00.50727.762 	-TC -nologo -W3 -Gy -Fdgenerated.pdb -DNDEBUG -DTRIMMED -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1
cl 	14.00.50727.762 	-GR- -TP -nologo -Zc:wchar_t- -W3 -Gy -Fdgenerated.pdb -DNDEBUG -DTRIMMED -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1

Configure arguments
--enable-application=browser --enable-update-channel=release --enable-update-packaging --enable-jemalloc --enable-official-branding --enable-tests
(In reply to comment #0)
> User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2.3)
> Gecko/20100401 Firefox/3.6.3 ( .NET CLR 3.5.30729)
> Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1.7)
> Gecko/20100301 Eudora/3.0.1
 
> Steps to Reproduce:
> 1.Launch Eudora.

related to penelope I suppose.
Assignee: nobody → mozilla-bugs
Component: Mail Window Front End → Mail Window
Product: Thunderbird → Penelope
QA Contact: front-end → mail-window

Comment 2

9 years ago
My guess is that this is a general Thunderbird issue, and not specific to Eudora.

What is the exact text in the "Date:" header of those messages when you do a View->Message Source?  What happens if you install Thunderbird 3.0.1 (the corresponding TB version of the Eudora beta that you're running) and look at the messages using it?  Do you get the same problem?

As a side note, a noteworthy original date to be the one that got corrupted.
(In reply to comment #2)
> What happens if you install Thunderbird 3.0.1 (the
>corresponding TB version of the Eudora beta that you're running) and look at 
>the messages using it?  

You can also attach here one of this "malformed" email using above "Add an attachment" link (first use menu-->file-->save as-->file and save it on your desktop for example)

thanks for your feedback
(Assignee)

Comment 4

8 years ago
No response to the request for an example. Closing as incomplete
Status: UNCONFIRMED → RESOLVED
Last Resolved: 8 years ago
Resolution: --- → INCOMPLETE
You need to log in before you can comment on or make changes to this bug.